Skip to main content
GET
/
api
/
files
List Files
curl --request GET \
  --url https://api.rapidly.tech/api/files/ \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "workspace_id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "mime_type": "<string>",
      "size": 123,
      "storage_version": "<string>",
      "checksum_etag": "<string>",
      "checksum_sha256_base64": "<string>",
      "checksum_sha256_hex": "<string>",
      "last_modified_at": "2023-11-07T05:31:56Z",
      "version": "<string>",
      "service": "<string>",
      "is_uploaded": true,
      "created_at": "2023-11-07T05:31:56Z",
      "size_readable": "<string>"
    }
  ],
  "meta": {
    "total": 123,
    "page": 123,
    "per_page": 123,
    "pages": 123
  }
}

Authorizations

Authorization
string
header
required

Create an Workspace Access Token in your workspace's settings page.

Query Parameters

workspace_id

Filter by workspace ID. The workspace ID.

Example:

"1dbfc517-0bbf-4301-9ba8-555ca42b9737"

ids

Filter by file ID.

page
integer
default:1

Page number, defaults to 1.

limit
integer
default:10

Size of a page, defaults to 10. Maximum is 100.

Response

Successful Response

data
(DownloadableFileRead · object | ShareMediaFileRead · object | WorkspaceAvatarFileRead · object)[]
required

A downloadable file.

meta
PageMeta · object
required

Offset-based pagination metadata.